<div class="container mt-3">
  <div class="card">
    <div class="card-header">
      <h3>Dodavanje Smera</h3>
    </div>
    <div class="card-body">
      <form #addSmerForm="ngForm">
        <div class="form-group">
          <label for="naziv">
            <b>Naziv</b>
          </label>
          <input class="form-control" name="naziv" [(ngModel)]="smerPost.naziv" #naziv="ngModel" required minlength="4">
          <p class="text-danger" *ngIf="naziv.invalid && (naziv.dirty || naziv.touched)">Polje ne sme biti prazno</p>
        </div>
        <div class="form-group">
          <label for="oznaka">
            <b>Oznaka</b>
          </label>
          <input class="form-control" name="oznaka" [(ngModel)]="smerPost.oznaka" #oznaka="ngModel" required minlength="2">
          <p class="text-danger" *ngIf="naziv.invalid && (naziv.dirty || naziv.touched)">Polje ne sme biti prazno</p>
        </div>

        <div class="row">
          <div class="col-6">
            <div class="form-group">
              <label>
                <b>Tip</b>
              </label>
              <select class="form-control col-6" name="tip" [(ngModel)]="smerPost.tip">
                <option value="akademski">Akademski</option>
                <option value="strukovni">Strukovni</option>
              </select>
            </div>
          </div>
          <div class="col-6">
            <div class="form-group">
              <label>
                <b>Broj Semestra</b>
              </label>
              <select value=6 name="brojSemestra" class="form-control col-6" [(ngModel)]="smerPost.brojSemestra">
                <option value="6">6</option>
                <option value="8">8</option>
              </select>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div class="card-footer">
      <div class="row">
        <div class="col-2">
            <button class="btn btn-success" (click)="onAdd()" [disabled]="addSmerForm.invalid">Add Smer</button>
        </div>
        <div class="col-9"></div>
        <div class="col-1">
            <button class="btn btn-info" (click)="onBack()">Back</button>
        </div>
      </div>
    </div>
  </div>
</div>